Summary:	EFI Boot Manager
Name:		efibootmgr
Version:	18
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Boot and Init
URL:		https://github.com/rhboot/%{name}/
Source0:	https://github.com/rhboot/%{name}/archive/%{version}.tar.gz

BuildRequires:	efi-srpm-macros >= 3-2
BuildRequires:	efi-filesystem
BuildRequires:	git
BuildRequires:	pkgconfig(efivar) >= 35
BuildRequires:	pkgconfig(libpci)
BuildRequires:	pkgconfig(popt)
BuildRequires:	pkgconfig(zlib)
Requires:	efi-filesystem
ExclusiveArch: %{efi}

# Needed to be sure that efivar will be updated before grub2/kernel
Requires:	%{_lib}efivar0 >= 31

Source1: efibootmgr.patches

%include %{SOURCE1}

%description
%{name} displays and allows the user to edit the Intel Extensible
Firmware Interface (EFI) Boot Manager variables.  Additional
information about EFI can be found at
http://developer.intel.com/technology/efi/efi.htm and http://uefi.org/.

%prep
%autosetup -S git
git config --local --add efibootmgr.efidir %{efi_vendor}

%build
%make_build CFLAGS='%{optflags}' LDFLAGS='%{build_ldflags}'

%install
%make_install

%files
%doc AUTHORS README
%license COPYING
%{_sbindir}/*
%{_mandir}/man8/*.8*


%changelog
* Sat Jul 05 2025 daviddavid <daviddavid> 18-2.mga10
+ Revision: 2246797
- Mageia 10 Mass Rebuild

* Sat Nov 05 2022 tv <tv> 18-1.mga9
+ Revision: 1903861
- New upstream version (18)

* Thu Mar 24 2022 umeabot <umeabot> 17-3.mga9
+ Revision: 1825438
- Mageia 9 Mass Rebuild

* Tue Sep 08 2020 tv <tv> 17-2.mga8
+ Revision: 1623546
- use efi-srpm-macros
- enhanced description
+ bcornec <bcornec>
- Update to upstream version 17 and fix build
- Update to upstream version 17 and fix build

* Fri Feb 14 2020 umeabot <umeabot> 16-4.mga8
+ Revision: 1519431
- Mageia 8 Mass Rebuild

* Sat Oct 13 2018 tv <tv> 16-3.mga7
+ Revision: 1320018
- enable efibootmgr on arm

* Sat Oct 13 2018 tv <tv> 16-2.mga7
+ Revision: 1320013
- enable efibootmgr on aarch64

* Sat Oct 13 2018 tv <tv> 16-1.mga7
+ Revision: 1319940
- new version

* Sun Sep 23 2018 umeabot <umeabot> 0.12-5.mga7
+ Revision: 1297575
- Mageia 7 Mass Rebuild

* Fri Sep 15 2017 tv <tv> 0.12-4.mga7
+ Revision: 1154004
- fix build with gcc7

* Wed Jun 07 2017 tmb <tmb> 0.12-4.mga6
+ Revision: 1107234
- rebuild for new efivar

* Mon Jul 11 2016 tv <tv> 0.12-3.mga6
+ Revision: 1041149
- BR popt-devel
- update to latest git (fix building with efivar-0.24)
- use %%make_install
- adjust file list

* Fri Feb 19 2016 umeabot <umeabot> 0.12-2.mga6
+ Revision: 969590
- Mageia 6 Mass Rebuild

* Fri Sep 04 2015 tv <tv> 0.12-1.mga6
+ Revision: 872719
- remove merged patches
- new release
- new URL
- new release

* Mon Apr 27 2015 barjac <barjac> 0.11.0-7.mga5
+ Revision: 820793
- add version requires on efivar-0.15
- really fixes Mga#15442 (Could not add entry to BootOrder: File exists)

* Thu Apr 23 2015 barjac <barjac> 0.11.0-6.mga5
+ Revision: 820596
- remove patch originally applied to fix Mga#15442
- Rebuild against new efivar to really fix Mga#15442
- (efibootmgr: Could not add entry to BootOrder: File exists)

* Sun Apr 05 2015 barjac <barjac> 0.11.0-5.mga5
+ Revision: 819719
+ rebuild (emptylog)

* Thu Apr 02 2015 barjac <barjac> 0.11.0-4.mga5
+ Revision: 819565
- fix file exists error Mga#15442

* Fri Jan 02 2015 tmb <tmb> 0.11.0-3.mga5
+ Revision: 808128
- Don't name something efi_variable_t; that namespace is used by efivar.
- Print a better message if BootOrder is unset.
- Fix MAC() device path printing.
- Make the optional_data_len size signed.
- Make IPv4() device paths print correctly.
- Make IPv6 network paths print correctly.
- Skip unreadable variables, but don't exit when we do so.

* Wed Oct 22 2014 barjac <barjac> 0.11.0-2.mga5
+ Revision: 792393
- New version fixes several issues in Mga#14140

* Tue Oct 21 2014 barjac <barjac> 0.11.0-1.mga5
+ Revision: 792356
- new version - more bug fixes

* Mon Oct 20 2014 barjac <barjac> 0.10.0-1.mga5
+ Revision: 792263
- new bug fix version

* Wed Oct 15 2014 umeabot <umeabot> 0.9.0-2.mga5
+ Revision: 739527
- Second Mageia 5 Mass Rebuild

* Mon Oct 06 2014 barjac <barjac> 0.9.0-1.mga5
+ Revision: 737018
- new bug fix release 0.9.0

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-2.mga5
+ Revision: 678967
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 tv <tv> 0.7.0-1.mga5
+ Revision: 672965
- new release
- don't do spec-helper job

* Sat Aug 10 2013 barjac <barjac> 0.6.0-1.mga4
+ Revision: 465085
- new version 0.6.0
- remove patches applied upstream

* Mon Jan 21 2013 barjac <barjac> 0.5.4-4.mga3
+ Revision: 390304
- update group

* Fri Jan 11 2013 umeabot <umeabot> 0.5.4-3.mga3
+ Revision: 349536
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 30 2012 barjac <barjac> 0.5.4-2.mga3
+ Revision: 300612
- Changed group in line with new policy

* Sat Jun 30 2012 barjac <barjac> 0.5.4-1.mga3
+ Revision: 265231
- Clean spec
- Fix man compression in files
- Import Fedora package


* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 01 2010 Peter Jones <pjones@redhat.com> - 0.5.4-10
- Add support for bootable devices with 4kB sectors.

* Wed Apr 14 2010 Peter Jones <pjones@redhat.com> - 0.5.4-9
- Make \EFI\redhat\grub.efi the default bootloader
  Resolves: rhbz#579665

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar 06 2009 Matt Domsch <Matt_Domsch@dell.com> - 0.5.4-6
- make ExclusiveArch %%{ix86} now that packages are being built as .i586

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Apr 03 2008 Peter Jones <pjones@redhat.com> - 0.5.4-4
- Revert changes in -3, they weren't finalized and we don't need
  the feature at this time.

* Thu Mar 06 2008 Peter Jones <pjones@redhat.com> - 0.5.4-3
- Add support for setting driver related variables.

* Tue Feb  5 2008 Matt Domsch <Matt_Domsch@dell.com> 0.5.4-2
- rebuild with conflicts/obsoletes matching elilo

* Thu Jan  3 2008 Matt Domsch <Matt_Domsch@dell.com> 0.5.4-1
- split efibootmgr into its own RPM for Fedora/RHEL.

* Thu Aug 24 2004 Matt Domsch <Matt_Domsch@dell.com>
- new home linux.dell.com

* Fri May 18 2001 Matt Domsch <Matt_Domsch@dell.com>
- See doc/ChangeLog
